///////////////////////////////////////////////////////////////////////////////
//
//  Filename: SpeedList.h
//  Author: Wang, Yi
//  Last modified: 2004-2-24 18:49
//
///////////////////////////////////////////////////////////////////////////////

#ifndef SpeedListH
#define SpeedListH

#include <qvaluevector.h>
#include <math.h>
#include "BCommon.h"

class SpeedList
{
public:
	void Append(tagBahnDesignPt *pBDPt, tagBahnStrecke *pStk, int tBDPtId);
	tagSpeedListItem &Item(int index);
	int GetCount(void);
	void Reset(void);
private:
	void FillTime(tagBahnDesignPt *pBDPt, tagBahnStrecke *pStk);
	double LengthToTime(int IdSt, double tLength);
	QValueVector<tagSpeedListItem> vec;
	tagSpeedListContext spc;
};

#endif
